# Asterisk Project : Asterisk 13 ManagerAction_QueueAdd

Created by wikibot on Aug 08, 2014

# QueueAdd

### Synopsis

Add interface to queue.

### Description

### Syntax

    Action: QueueAdd
    ActionID: <value>
    Queue: <value>
    Interface: <value>
    Penalty: <value>
    Paused: <value>
    MemberName: <value>
    StateInterface: <value>

##### Arguments

- `ActionID` - ActionID for this transaction. Will be returned.
- `Queue` - Queue's name.
- `Interface` - The name of the interface (tech/name) to add to the queue.
- `Penalty` - A penalty (number) to apply to this member. Asterisk will distribute calls to members with higher penalties only after attempting to distribute calls to those with lower penalty.
- `Paused` - To pause or not the member initially (true/false or 1/0).
- `MemberName` - Text alias for the interface.
- `StateInterface`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538